# MumbleServer::MetaCallback

## Overview

### interface MetaCallback

Callback interface for Meta. You can supply an implementation of this to receive notifications when servers are stopped or started. If an added callback ever throws an exception or goes away, it will be automatically removed. Please note that all callbacks are done asynchronously; murmur does not wait for the callback to complete before continuing processing.

#### See Also

ServerCallback
Meta::addCallback

## Operation Index

started
  Called when a server is started.
stopped
  Called when a server is stopped.

## Operations

### void started(Server* srv)

Called when a server is started. The server is up and running when this event is sent, so all methods that need a running server will work.

#### Parameters

srv
  Interface for started server.

### void stopped(Server* srv)

Called when a server is stopped. The server is already stopped when this event is sent, so no methods that need a running server will work.

#### Parameters

srv
  Interface for started server.